<app-navbar></app-navbar>
<div class="grid grid-cols-2">
  <div class="flex justify-center items-center">
    <div class="font-rubik">
      <h1 class="font-bold text-5xl">ALL BOOKS</h1>
      <button routerLink="/book/add" class="px-4 py-2 rounded-xl bg-secound-primary mt-4">
        + &nbsp; Add New Book
      </button>
    </div>
  </div>
  <div class="relative -z-10">
    <img class="absolute left-20" src="../../../assets/bookpage/Artboard.svg" alt="" />
    <img class="z-10" src="../../../assets//bookpage/Hero.svg" alt="" />
  </div>
</div>
<div class="grid grid-cols-12 w-full h-auto bg-gray-200 font-rubik">
  <div class="col-span-2 relative">
    <div class="">
      <aside id="separator-sidebar"
        class="absolute -z-0 top-0 left-0 w-64 h-full transition-transform -translate-x-full sm:translate-x-0"
        aria-label="Sidebar">
        <div class="h-full px-3 py-4  bg-gray-50 dark:bg-gray-800">
          <ul class="space-y-2 font-medium">
            <div class="relative mt-3">
              <div class="absolute inset-y-0 left-0 flex items-center pl-3.5 pointer-events-none">
                <img src="../../../assets/bookpage/search.svg" alt="" />
              </div>
              <input type="text"
              [(ngModel)]="searchTerm"
                class="bg-gray-50 border py-2 border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full pl-10 p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
                placeholder="Search Book" />
            </div>
            <li>
              <a
                class="flex items-center p-2 text-gray-900 rounded-lg dark:text-white hover:bg-gray-100 dark:hover:bg-gray-700 group">
                <span class="ml-3">Book by Genre</span>
              </a>
            </li>
            <li>
              <a routerLink="/book"
                class="ml-5 flex font-normal items-center p-2 text-gray-900 rounded-lg dark:text-white hover:bg-gray-100 dark:hover:bg-gray-700 group">
                <span class="ml-3">All Genres</span>
              </a>
            </li>
            <li *ngFor="
                let category of category_list | searchCategory : searchCategory
              ">
              <button (click)="categoryTerm(category)" class="px-5 cursor-pointer ml-5 flex font-normal items-center p-2 text-gray-900 rounded-lg dark:text-white hover:bg-gray-100 dark:hover:bg-gray-700 group">
                {{category}}
              </button>
            </li>
          </ul>
        </div>
      </aside>
    </div>
  </div>
  <div class="col-span-10">
    <div class="bg-gray-100 p-14 m-14 shadow-2xl rounded-lg">
      <h1 class="font-semibold text-2xl flex justify-center items-center mb-6 p-5">
        This New Story
      </h1>
      <div class="grid grid-cols-2 gap-14">
        <div *ngFor="let book of books | searchBook: searchTerm  | searchCategory: category" class="bg-white w-[450px] h-52 flex rounded-r-2xl">
          <div class=" h-full w-[300px]">
            <img class="w-full h-full" [src]="book.bookImage" alt="" />
          </div>
          <div class="px-6 py-2">
            <h1 class="line-clamp-1 font-semibold text-3xl">
              {{ book.title }}
            </h1>
            <h3 class="text-xl text-secound-primary">{{ book.author }}</h3>
            <p class="line-clamp-3 text-gray-500">{{ book.description }}</p>
            <div class="flex justify-center items-center gap-2 m-3">
              <button class="border-solid border-secound-primary text-secound-primary border-2 rounded-xl px-3"
                (click)="bookContent(book.id)">
                View
              </button>
              <button onclick="my_modal_2.showModal()" (click)="editBook(book)"
                class="border-solid border-blue-500 text-blue-500 border-2 rounded-xl px-3">
                Edit
              </button>
              <button class="border-solid border-red-500 text-red-500 border-2 rounded-xl px-3"
                (click)="deleteBook(book)">
                Delete
              </button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<dialog id="my_modal_2" class="modal">
  <form method="dialog" class="modal-box" [formGroup]="formEdit" (ngSubmit)="edit()">
    <div class="relative">
      <span>Title</span>
      <input type="text" id="email-address-icon"
        class="bg-gray-50 border py-2 border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full pl-5 p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
        placeholder="Title" formControlName="title" />
    </div>
    <div class="relative py-4">
      <span>Author</span>
      <input type="text" id="email-address-icon"
        class="bg-gray-50 border py-2 border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full pl-5 p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
        placeholder="Auhtor" formControlName="author" />
    </div>
    <div class="relative">
      <span>Description</span>
      <input type="text" id="email-address-icon"
        class="bg-gray-50 border py-2 border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full pl-5 p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
        placeholder="Description" formControlName="description" />
    </div>
    <div class="flex justify-center items-center gap-x-3 mt-4">
      <button
        class="inline-flex items-center justify-center leading-6 py-1 px-6 text-white bg-indigo-600 border border-transparent rounded-full md:w-auto hover:bg-indigo-500 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-600">
        Cancel
      </button>
      <button
        class="inline-flex items-center justify-center leading-6 py-1 px-6 text-white bg-indigo-600 border border-transparent rounded-full md:w-auto hover:bg-indigo-500 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-600">
        Update
      </button>
    </div>
  </form>
  <form method="dialog" class="modal-backdrop">
    <button>close</button>
  </form>
</dialog>